## leave 1.4

=== Makefile ===
#	$NetBSD: Makefile,v 1.3 1994/12/22 01:09:49 jtc Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/6/93

PROG=	leave

.include <bsd.prog.mk>
