## leave 1.4-1

=== Makefile ===
--- 
+++ 
@@ -3,4 +3,4 @@
 
 PROG=	leave
 
-.include <bsd.prog.mk>
+#.include <bsd.prog.mk>
