## leave 1.12

=== debian/changelog ===
leave (1.12-9) unstable; urgency=medium

  * upload to unstable.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 16 Aug 2025 06:18:03 +0200

leave (1.12-8) experimental; urgency=medium

  * d/rules: drop -m from chmod invocation.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Jun 2025 17:44:56 +0200

leave (1.12-7) experimental; urgency=medium

  * upload to experimental given the state of the 13 (trixie) release cycle.
  * d/control: set myself as maintainer, urbec as uploader, as
    agreed upon on IRC. Closes: #1050473.
  * d/copyright: add link to another BSD upstream source.
  * d/rules: explicitly chmod files we install via stdout redirection (as
    opposed to the ones we install(1) with -m flag), in order to be resistent
    against an overly strict umask. Thanks Jakub Wilk. Closes: #689535.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 24 May 2025 07:19:48 +0200

leave (1.12-6) unstable; urgency=medium

  * QA upload.
  * Actually allow building without root. Closes: #1075755.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Jul 2024 14:15:00 +0200

leave (1.12-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Add Rules-Requires-Root field.
  * debian/upstream/metadata: Add upstream metadata information.

 -- Manoel Ibere Wiedmer Gomes <manoelgomes@alunos.utfpr.edu.br>  Mon, 24 Jun 2024 09:35:33 -0300

leave (1.12-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entry 1.4-3.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 May 2024 21:42:07 +0200

leave (1.12-3) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1043195)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 14 Sep 2023 12:41:35 +0000

leave (1.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass -n to gzip(1) to make the manual page and changelog reproducible, as
    well as pass CFLAGS to the C compiler to ensure that, for instance,
    -ffile-prefix-map is used. (Closes: #777403)
  * Apply a patch by Helmut Grohne to correctly cross-build the leave binary.
    (Closes: #967002)
  * Add the missing required debian/rules targets, build-arch and build-indep.
    (Closes: #999259)
  * Remove a "debian/changelog~" editor backup file.

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 10:59:51 -0700

leave (1.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert debian/rules to a Makefile (Closes: #640874)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 11 Oct 2012 21:23:51 +0200

leave (1.12-2) unstable; urgency=low

  * Replaced puts() with printf()+fflush() in order to avoid a newline after
    the question, as noted by Toni Mueller, closes: #211164.
  * Exited with 0 instead of 1 for binary-indep, how ever pointless that
    may seem to any casual observer, closes: #395734.

 -- Josip Rodin <joy-packages@debian.org>  Sat, 28 Oct 2006 00:10:22 +0200

leave (1.12-1) unstable; urgency=low

  * New upstream version.
  * Added an unportable glibc-only variable to get the program name,
    because the unportable NetBSD-only variable didn't work.

 -- Josip Rodin <joy-packages@debian.org>  Fri, 15 Aug 2003 21:10:23 +0200

leave (1.10-1) unstable; urgency=low

  * New upstream version, closes: #143720.
    Abolished our patches for handling 24-hour time formats, and used
    the upstream's. The behaviour is unchanged, AFAICT.
  * Updated for Policy 3.5.6. debian/rules in shell,
    removed the use of both debhelper and pmake -> no Build-Depends :)

 -- Josip Rodin <jrodin@jagor.srce.hr>  Mon, 26 Aug 2002 14:40:30 +0200

leave (1.8-2) unstable; urgency=low

  * Fixed those long standing bugs in the handling of 24h-clock
    arguments, by making leave not convert times to 12h clock, but check
    whether the time is between 1 and 12, and then interpret it according
    to a 12-hour clock. Let's hope it all works.
    Thanks to Sergio Gelato <debelop@zwicky.freeserve.co.uk>, who provided
    the patch both for the code and for the manual page.
    (closes #25150 #26000 #31250 #31872)
  * Updated for Policy 3.x. Removed the full text of the BSD license from
    the copyright file and referenced the /usr/share/common-licenses/BSD
    file.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Mon, 18 Oct 1999 23:13:16 +0200

leave (1.8-1) unstable; urgency=low

  * New maintainer, new upstream source (with exactly two (2) new lines
    of code), new debian/* files.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 19 May 1999 18:13:22 +0200

leave (1.6-2) unstable; urgency=low

  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * debian/control (Standards-Version): updated to 2.5.0.0.
  * debian/rules: replace $(package) with a string literal and other minor
    clean ups.

 -- James Troup <james@nocrew.org>  Tue, 10 Nov 1998 15:46:23 +0000

leave (1.6-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Use BSD make not GNU make to build.
  * debian/rules: Build with -g.
  * debian/rules: Call dpkg-gencontrol with -isp.
  * debian/rules: remove leave.cat1 on clean.
  * debian/rules: no more {,} usage.
  * debian/rules: chmod go=rX not g-ws.
  * debian/control: Standards-Version 2.3.0.1.
  * debian/control: section is really utils not misc.
  * debian/copyright: removed over-keen "famous" from description.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon,  8 Dec 1997 21:03:01 +0000

leave (1.4-3) unstable; urgency=low

  * Rebuilt libc6.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat, 25 Jan 1997 18:30:06 +0000

leave (1.4-2) unstable; urgency=low

  * New Maintainer.

