=== debian/control ===
Source: leave
Section: utils
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Judit Foglszinger <urbec@debian.org>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/leave
Vcs-Git: https://salsa.debian.org/debian/leave.git
Rules-Requires-Root: no

Package: leave
Architecture: any
Depends: ${shlibs:Depends},
Description: Reminds you when you have to leave
 Leave waits until the specified time, then reminds you that you have
 to leave.  You are reminded 5 minutes and 1 minute before the actual
 time, at the time, and every minute thereafter.  When you log off,
 leave exits just before it would have printed the next message.
